This URL retrieves the top highrisk hosts.
Resource URL
GET /alerts/TopN/highrisk_hosts
Request Parameters
URL Parameters: None
Payload Request Parameters: None
Query Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:
| String | No |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of top highrisk hosts | Array |
Details of fields in TopHighRiskHostsList:
Field Name | Description | Data Type |
|---|---|---|
hostIP | The host's IP address | String |
hostRisk | The risk level of the host | Number |
DNSName | The DNS name | String |
RiskName | The risk's name | String |
Example
Request
GET https://<NSM_IP>/sdkapi/alerts/TopN/highrisk_hosts?duration=LAST_14_DAYS
Payload
None
Response
{
"TopHighRiskHostsList":[]
}Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |
2 | 400 | 3601 | Invalid duration |